
QGIS Application - Bug report #21550

Crashing every time I close program

2019-03-11 05:04 AM - Craig Fildes

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 29366

Description

User Feedback

This happens every time I close QGIS - works perfectly otherwise

Report Details

Crash ID: a82e7e07e3c0e2dbce4f2adf5452fe54341e44a9

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsFirstRunDialog::tr :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2019-03-11 11:36 AM - Giovanni Manghi

- Category changed from Windows Package to Unknown

- Status changed from Open to Feedback

- Assignee deleted (Jürgen Fischer)
- Priority changed from Normal to High

Please try with a new/clean profile (no 3rd party plugins installed).

#2 - 2019-03-13 01:48 PM - Hadrien Bois

I also had this problem multiple times. Qgis crashed when I quit. It would not always crash.

Recently, it completely stopped loading the core plugin Processing when I opened QGIS, whether I opened 3.6.0 or 3.4.5 LTR... no mater how many times

I tried quitting and reopening.

Creating a new profile fixes this (but now I have to re-customize my profile...).

#3 - 2019-03-13 01:52 PM - Giovanni Manghi

Creating a new profile fixes this (but now I have to re-customize my profile...).

the important point here is if the profile starts give problems again after some time.

#4 - 2019-03-13 02:21 PM - Hadrien Bois

Well this is on a new profile I created (I only moved the Browse window underneath the layers window and added a custom coordinates format in Map Grid

Properties - Draw Coordinates - Format - Custom (expression and function editor) - no installed plugins).

Qgis 3.6.0 crashed when I closed it. The processing default core plugin is still here, so for now it does not seem to impact me.

Report Details

Crash ID: a82e7e07e3c0e2dbce4f2adf5452fe54341e44a9

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::~QgsCoordinateTransform :

QgsFirstRunDialog::tr :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64
Kernel Type: winnt

Kernel Version: 10.0.17134

#5 - 2019-03-13 02:24 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2019-03-13 05:01 PM - Hadrien Bois

QGIS 3.4.5 LTR just crashed again on close.

Crash ID: 41bd556bfb4cb3857ad8b303df49560eb10217ac

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator char const * __ptr64 const * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.5-Madeira

QGIS code revision: 89ee6f6e23

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#7 - 2019-03-14 01:01 PM - Giovanni Manghi

- Related to Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#8 - 2019-03-19 03:30 PM - Jürgen Fischer

- Related to deleted (Bug report #20283: Crash when exiting program [proj_lpz_dist])

#9 - 2019-03-19 03:30 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#10 - 2019-03-19 03:30 PM - Jürgen Fischer
- Resolution set to duplicate

- Status changed from Open to Closed
